# List budget owners

Lists owners of the budget.

Endpoint: GET /v1/businesses/{client_id}/budgets/{budget_id}/owners
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

  - `budget_id` (string, required)
    The ID of the budget.

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.
    Example: 50

  - `limit` (integer)
    Number of items per page.
    Example: 50

  - `is_deleted` (boolean)
    Whether the resource is deleted.

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of budget owners that match the query.
    Example: 3

  - `next` (string)
    The URL to the next page of budget owners.
    Example: "offset=50&limit=50"

  - `previous` (string)
    The URL to the previous page of budget owners.
    Example: "offset=0&limit=50"

  - `results` (array)

  - `results.id` (string)
    The ID of the budget owner.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.user` (object,null)
    The user for the budget owner. Only present once the underlying invite has been accepted.

  - `results.user.id` (integer)
    The ID of the user.
    Example: 123

  - `results.user.first_name` (string)
    The first name of the user.
    Example: "John"

  - `results.user.last_name` (string)
    The last name of the user.
    Example: "Doe"

  - `results.user.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: "John Doe"

  - `results.invite` (object)
    The pending invite for the budget owner. Only present while the user has not yet accepted their invite.

  - `results.invite.id` (integer)
    The ID of the invite.
    Example: 99

  - `results.invite.email` (string)
    The email address the invite was sent to.
    Example: "jane.doe@example.com"

  - `results.invite.role_id` (string)
    The ID of the role assigned to the invitee.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

  - `results.invite.role` (string)
    The name of the role assigned to the invitee.
    Example: "Team Member"

  - `results.invite.payment_types` (array)
    The payment types the invitee will have access to.
    Enum: "bills", "cards", "reimbursements"

  - `results.invite.used` (boolean)
    Whether the invite has been accepted.

  - `results.invite.created` (string)
    The date and time the invite was created in UTC.
    Example: "2026-05-01T00:00:00Z"

  - `results.invite.updated` (string)
    The date and time the invite was last updated in UTC.
    Example: "2026-05-01T00:00:00Z"

  - `results.is_deleted` (boolean)
    Whether the budget owner has been removed from the budget.

  - `results.created` (string)
    The date and time when the budget owner was created in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.updated` (string)
    The date and time when the budget owner was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
